Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 485550 - =net-misc/spice-gtk-0.21 fails to compile
Summary: =net-misc/spice-gtk-0.21 fails to compile
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Tiziano Müller
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CVE-2013-4324
  Show dependency tree
 
Reported: 2013-09-21 08:49 UTC by Agostino Sarubbo
Modified: 2013-09-23 01:20 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
spice-gtk-0.21:20130921-084644.log (spice-gtk-0.21:20130921-084644.log,305.70 KB, text/plain)
2013-09-21 08:49 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2013-09-21 08:49:37 UTC
Portage 2.2.2 (default/linux/amd64/13.0, gcc-4.6.3, glibc-2.15-r3, 3.10.7-gentoo x86_64)                                                                                            
=================================================================                                                                                                                   
System uname: Linux-3.10.7-gentoo-x86_64-Intel-R-_Core-TM-_i7-2600K_CPU_@_3.40GHz-with-gentoo-2.2                                                                                   
KiB Mem:     2055864 total,   1171296 free                                                                                                                                          
KiB Swap:    2263820 total,   2263820 free                                                                                                                                          
Timestamp of tree: Sat, 21 Sep 2013 08:15:01 +0000                                                                                                                                  
ld GNU ld (GNU Binutils) 2.23.1                                                                                                                                                     
app-shells/bash:          4.2_p45                                                                                                                                                   
dev-lang/python:          2.7.5-r2, 3.2.5-r2                                                                                                                                        
dev-util/cmake:           2.8.10.2-r2                                                                                                                                               
sys-apps/baselayout:      2.2                                                                                                                                                       
sys-apps/openrc:          0.11.8                                                                                                                                                    
sys-apps/sandbox:         2.6-r1                                                                                                                                                    
sys-devel/autoconf:       2.13, 2.69                                                                                                                                                
sys-devel/automake:       1.10.3, 1.11.6, 1.13.4                                                                                                                                    
sys-devel/binutils:       2.23.1                                                                                                                                                    
sys-devel/gcc:            4.6.3                                                                                                                                                     
sys-devel/gcc-config:     1.7.3                                                                                                                                                     
sys-devel/libtool:        2.4.2                                                                                                                                                     
sys-devel/make:           3.82-r4                                                                                                                                                   
sys-kernel/linux-headers: 3.9 (virtual/os-headers)                                                                                                                                  
sys-libs/glibc:           2.15-r3                                                                                                                                                   
Repositories: gentoo x-portage                                                                                                                                                      
ACCEPT_KEYWORDS="amd64"                                                                                                                                                             
ACCEPT_LICENSE="*"                                                                                                                                                                  
CBUILD="x86_64-pc-linux-gnu"                                                                                                                                                        
CFLAGS="-march=native -O2 -g0 -pipe"                                                                                                                                                
CHOST="x86_64-pc-linux-gnu"                                                                                                                                                         
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"                                                                                                              
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ 
/etc/php/apache2-php5.4/ext-active/ /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cgi-php5.5/ext-active/ 
/etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d 
/etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps y --keep-going y -1"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch 
preserve-libs protect-owned sandbox sfperms sign split-log strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://192.168.0.2/distfiles/ http://91.121.124.139/gentoo-distfiles/ http://ftp.snt.utwente.nl/pub/os/linux/gentoo http://mirror.netcologne.de/gentoo/ 
http://mirror.bytemark.co.uk/gentoo/"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 
--exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X acl alsa amd64 berkdb bzip2 cli consolekit cracklib crypt cxx dbus dri fortran gdbm iconv kde minizip mmx modules mp3 mudflap multilib ncurses nls nptl opengl openmp 
pam pcre policykit qt3support qt4 readline semantic-desktop session sse sse2 ssl symlink tcpd unicode zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem 
bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" 
APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default 
authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers 
include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" 
INPUT_DEVICES="evdev keyboard mouse" KERNEL="linux" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="am fil zh af ca cs da de el es et gl hu nb nl pl 
pt ro ru sk sl sv uk bg cy en eo fo ga he id ku lt lv mk ms nn sw tn zu ja zh_TW en_GB pt_BR ko zh_CN ar en_CA fi kk oc sr tr fa wa nds as be bn bn_BD bn_IN en_US es_AR 
es_CL es_ES es_MX eu fy fy_NL ga_IE gu gu_IN hi hi_IN is ka kn ml mr nn_NO or pa pa_IN pt_PT rm si sq sv_SE ta ta_LK te th vi ast dz km my om sh ug uz ca@valencia 
sr@ijekavian sr@ijekavianlatin sr@latin csb hne mai se es_LA fr_CA zh_HK br la no es_CR et_EE sr_CS bo hsb hy mn sr@Latn lb ne bs tg uz@cyrillic xh be_BY brx ca_XV dgo 
en_ZA gd kok ks ky lo mni nr ns pap ps rw sa_IN sat sd ss st sw_TZ ti ts ve mt ia az me tl ak hy_AM lg nso son ur_PK it fr nb nb_NO hr nan ur tk cs_CZ da_DK de_1901 de_CH 
en_AU lt_LT pl_PL sa sk_SK th_TH ta_IN tt sco ha mi ven ar_SY el_GR ro_RO ru_RU sl_SI uk_UA vi_VN ar_SY te_IN de_DE es_VE fa_IR fr_FR hu_HU id_ID it_IT ja_JP ka_GE nl_NL 
sr_BA sr_RS ca_ES fi_FI he_IL jv ru_gold yi eu_ES chr jp bg_BG ko_KR" NGINX_MODULES_HTTP="access auth_basic autoindex browser charset empty_gif fastcgi geo gzip limit_conn 
limit_req map memcached proxy referer rewrite scgi split_clients ssi upstream_ip_hash userid uwsgi addition auth_pam cache_purge dav dav_ext degradation fancyindex flv 
geoip gunzip gzip_static headers_more image_filter lua metrics mp4 naxsi perl push random_index realip secure_link slowfs_cache spdy stub_status sub upload_progress 
upstream_check xslt" NGINX_MODULES_MAIL="imap pop3 smtp" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-3 php5-4 php5-5" PYTHON_SINGLE_TARGET="python2_7" 
PYTHON_TARGETS="python2_7 python3_2" QEMU_SOFTMMU_TARGETS="x86_64" QEMU_USER_TARGETS="x86_64" RUBY_TARGETS="ruby18 ruby19 ruby20" USERLAND="GNU"
USE_PYTHON="2.7 3.2"
Comment 1 Agostino Sarubbo gentoo-dev 2013-09-21 08:49:45 UTC
Created attachment 359164 [details]
spice-gtk-0.21:20130921-084644.log

build log
Comment 2 Rafał Mużyło 2013-09-21 11:58:25 UTC
This just seems to be a dependency on >=glib-2.34.0.
Comment 3 Doug Goldstein gentoo-dev 2013-09-23 01:13:10 UTC
ago: When creating bugs please be specific in the subject line.
Comment 4 Doug Goldstein gentoo-dev 2013-09-23 01:20:18 UTC
Fixed in tree. Thanks for the suggestion Rafal. Patched it to include compat for that symbol.